// WAVEMIX 2007/1/8 ver.
#include "mmsystem.h"

#define smaller(a, b) (((a) < (b)) ? (a) : (b))
#define bigger(a, b) (((a) > (b)) ? (a) : (b))

typedef struct{
	DWORD length;
	BYTE* data;

	DWORD srate;
	DWORD ch;
	DWORD bits;
} WAVEDATA, *PWAVEDATA;

// API
#ifdef __cplusplus
extern "C"
{
#endif
void wmDebugPrint(HDC hdc);

void wmDoneProc(WAVEHDR* wh);

void wmStartWave(void);
BOOL wmInitSystem(void);
PWAVEDATA wmMemoryWave(void* buf);
PWAVEDATA wmLoadWave(LPCSTR fname);
void wmPlayWave(PWAVEDATA wd);
void wmKillAllWave(void);
void wmStopWave(void);
void wmPauseWaveOut(void);
void wmUnpauseWaveOut(void);
void wmUnloadWave(PWAVEDATA wd);
void wmUninitSystem(void);
#ifdef __cplusplus
}
#endif